=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -20,16 +20,16 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libmailcommon-dev (>= 4:24.12.2~),
-               libmailimporter-dev (>= 4:24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
-               messagelib-dev (>= 4:24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libmailcommon-dev (>= 4:24.12.3~),
+               libmailimporter-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
+               messagelib-dev (>= 4:24.12.3~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-import-wizard
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
@@ -49,7 +49,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 24.12.2~),
+Depends: libkmailtransport-dev (>= 24.12.3~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files
