=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: akonadi-import-wizard
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -20,19 +21,19 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.3~),
-               libkmailtransport-dev (>= 24.12.3~),
-               libmailcommon-dev (>= 4:24.12.3~),
-               libmailimporter-dev (>= 4:24.12.3~),
-               libpimcommon-dev (>= 4:24.12.3~),
-               messagelib-dev (>= 4:24.12.3~),
+               libkidentitymanagement-dev (>= 25.07.80~),
+               libkmailtransport-dev (>= 25.07.80~),
+               libmailcommon-dev (>= 4:25.07.80~),
+               libmailimporter-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.80~),
+               messagelib-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-import-wizard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
 Rules-Requires-Root: no
 
 Package: akonadi-import-wizard
@@ -49,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 24.12.3~),
+Depends: libkmailtransport-dev (>= 25.07.80~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files
