=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.07.80~),
+               libakonadi-dev (>= 4:25.07.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6auth-dev (>= 6.3.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -21,12 +21,12 @@
                libkf6doctools-dev (>= 6.6.0~),
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libmailcommon-dev (>= 4:25.07.80~),
-               libmailimporter-dev (>= 4:25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
-               messagelib-dev (>= 4:25.07.80~),
+               libkidentitymanagement-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libmailcommon-dev (>= 4:25.07.90~),
+               libmailimporter-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
+               messagelib-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),
@@ -50,7 +50,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libkmailtransport-dev (>= 25.07.80~),
+Depends: libkmailtransport-dev (>= 25.07.90~),
          libkpim6importwizard6 (= ${binary:Version}),
          ${misc:Depends},
 Description: PIM data import wizard - development files
