## akonadi-import-wizard 25.08.1+p24.04+vstable+git20250916.0510

=== debian/changelog ===
akonadi-import-wizard (4:25.08.1+p24.04+vstable+git20250916.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 05:10:48 +0000

akonadi-import-wizard (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:11:13 +0000

akonadi-import-wizard (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:45:59 +0000
