=== src/plugins/CMakeLists.txt ===
add_subdirectory(trojita)
add_subdirectory(balsa)
add_subdirectory(evolutionv3)
add_subdirectory(sylpheed)
add_subdirectory(claws-mail)
add_subdirectory(thunderbird)
add_subdirectory(icedove)
add_subdirectory(seamonkey)
