=== src/plugins/icedove/CMakeLists.txt ===
--- 
+++ 
@@ -13,12 +13,23 @@
 )
 
 kcoreaddons_add_plugin(icedoveimporterplugin SOURCES ${icedoveimporter_SRCS} INSTALL_NAMESPACE pim6/importwizard)
-set_target_properties(icedoveimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")
+set_target_properties(
+    icedoveimporterplugin
+    PROPERTIES
+        LIBRARY_OUTPUT_DIRECTORY
+            "${CMAKE_BINARY_DIR}/bin/importwizard/"
+)
 if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
-    set_target_properties(icedoveimporterplugin PROPERTIES UNITY_BUILD ON)
+    set_target_properties(
+        icedoveimporterplugin
+        PROPERTIES
+            UNITY_BUILD
+                ON
+    )
 endif()
 
-target_link_libraries(icedoveimporterplugin
+target_link_libraries(
+    icedoveimporterplugin
     KPim6::ImportWizard
     KF6::XmlGui
     KF6::I18n
