## akonadi-import-wizard 25.08.2+p24.04+vstable+git20251015.2024

=== debian/changelog ===
akonadi-import-wizard (4:25.08.2+p24.04+vstable+git20251015.2024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:24:05 +0000

akonadi-import-wizard (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:53:15 +0000
